vbi_xds_packet Struct Reference
Low Level Decoding » Extended Data Service (XDS) demultiplexer

XDS Packet. A pointer to this structure is passed to the XDS demux callback. More...

`#include <xds_demux.h>`

## Data Fields

vbi_xds_class | xds_class
vbi_xds_subclass | xds_subclass
unsigned int | buffer_size
uint8_t | buffer [36]

## Detailed Description

XDS Packet. A pointer to this structure is passed to the XDS demux callback.

Note
  The structure may grow in the future.

## Field Documentation

## buffer_size

unsigned int vbi_xds_packet::buffer_size

XDS packets have variable length 1 ... 32 bytes.

Referenced by vbi_xds_demux_feed().

## buffer

uint8_t vbi_xds_packet::buffer[36]

Packet data. Bit 7 (odd parity) is cleared, buffer[buffer_size] is 0.

Referenced by vbi_xds_demux_feed().